<?php

namespace PixelioCartAbandonRecoveryMore\Frontend\Models;


if (!defined('ABSPATH')) exit;


class Pixelio_Cart_Abandon_Recovery_More_If_Plugin_Update_Result_Model
{
	private bool $pixelio_available;
	private bool $pixelio_forced;
	private string $pixelio_changelog;

	public function __construct(bool $available, bool $forced, string $changelog)
	{
		$this->pixelio_available = $available;
		$this->pixelio_forced    = $forced;
		$this->pixelio_changelog = $changelog;
	}

	public static function pixelio_no_update(): self
	{
		return new self(false, false, '');
	}

	public function pixelio_is_available(): bool
	{
		return $this->pixelio_available;
	}

	public function pixelio_is_forced(): bool
	{
		return $this->pixelio_forced;
	}

	public function pixelio_get_changelog(): string
	{
		return $this->pixelio_changelog;
	}
}
